[med-svn] [Git][med-team/clearcut][master] 2 commits: Simplify test (no need to copy data when not using these), fix exit condition

Andreas Tille gitlab at salsa.debian.org
Sat Oct 5 15:18:45 BST 2019



Andreas Tille pushed to branch master at Debian Med / clearcut


Commits:
e865b453 by Andreas Tille at 2019-10-05T14:18:40Z
Simplify test (no need to copy data when not using these), fix exit condition

- - - - -
cb6d5581 by Andreas Tille at 2019-10-05T14:18:40Z
Team upload to unstable

- - - - -


2 changed files:

- debian/changelog
- debian/tests/check-malformed


Changes:

=====================================
debian/changelog
=====================================
@@ -1,4 +1,6 @@
-clearcut (1.0.9-4) UNRELEASED; urgency=medium
+clearcut (1.0.9-4) unstable; urgency=medium
+
+  * Team upload.
 
   [ Jelmer Vernooij ]
   * Trim trailing whitespace.


=====================================
debian/tests/check-malformed
=====================================
@@ -1,8 +1,6 @@
 #!/bin/sh
 # do not use set -e because we expect an error code
 
-kg="clearcut"
-
 if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
   AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
   # Double quote below to expand the temporary directory variable now versus
@@ -11,13 +9,15 @@ if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
   trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
 fi
 
-cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
-
 cd "${AUTOPKGTEST_TMP}"
 
 # run clearcut with no args, passing in empty content.
 # This should return nonzero (malformed input)
 echo "" | clearcut
 
-exit [ "$?" -neq 0 ]
+if [ $? -ne 0 ] ; then
+  exit 0
+else
+  exit 1
+fi
 



View it on GitLab: https://salsa.debian.org/med-team/clearcut/compare/2b2d9099b723208ba5c1fc2f199556db335ca928...cb6d5581824b06490e4bf3139eac3cfe115cbe38

-- 
View it on GitLab: https://salsa.debian.org/med-team/clearcut/compare/2b2d9099b723208ba5c1fc2f199556db335ca928...cb6d5581824b06490e4bf3139eac3cfe115cbe38
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20191005/1a77f28f/attachment-0001.html>


More information about the debian-med-commit mailing list